# Lynar Studios - Math Library - 2022.1.0


This library provides mathematical functionalities. All functionalities are provided in independent modules, which can be added to your project.

#### Core ####

This module provides basic functionalities, like datatypes and interfaces, which are shared among other modules.

#### Vector ####

This module provides vector functionalities of a cartesian coordinate system.

### Changelog ###

#### Features ####

- vector module has been added to provide functionalities for 2D vector calculations 

#### Improvements ####

- none

#### Fixes ####

- none

### Documentation ###

Currently there is no documentation available due to the small scope of this library.

### Building ###

The project's build tool is __CMake__. To compile the module libraries you'd need CMake in place, as well as a supported compiler. This project is supposed to be cross-platform, so all known compilers should be supported, although there is no warranty for this!

### Testing ###

This project contains unit tests to provide test coverage.  
To run those tests you have to build this project with option __BUILD_LS_MATH_WITH_TESTS__ set to __ON__ - then reset and reload the CMake project.
